By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
455,767 Members | 1,228 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 455,767 IT Pros & Developers. It's quick & easy.

Building 2.3.3 on AIX, term.h complaint

P: n/a

I am trying to build Python 2.3.3 on AIX. I believe that we are using gcc
2.95.3, but later in the ./configure output, it appears to say that gcc is
not being used. Does this suggest a real problem? Any suggestions?

$ uname -a
AIX kbs80 3 4 000C30CD4C00 unknown

$ whence cc
/tools/bin/cc

$ ls -al /tools/bin/cc
lrwxrwxrwx 1 internal tools 3 Jul 2 2001 /tools/bin/cc -> gcc

$ whence gcc
/tools/bin/gcc

$ gcc -v
Reading specs from /tools/lib/gcc-lib/powerpc-ibm-aix4.3.3.0/2.95.3/specs
gcc version 2.95.3 20010315 (release)
checking term.h usability... no
checking term.h presence... yes
configure: WARNING: term.h: present but cannot be compiled
configure: WARNING: term.h: check for missing prerequisite headers?
configure: WARNING: term.h: proceeding with the preprocessor's result
configure: WARNING: ## ------------------------------------ ##
configure: WARNING: ## Report this to bu**********@gnu.org. ##
configure: WARNING: ## ------------------------------------ ##
checking for term.h... yes
Jul 18 '05 #1
Share this Question
Share on Google+
1 Reply


P: n/a

"Paul Watson" <pw*****@redlinepy.com> wrote in message
news:40**********@themost.net...

checking term.h usability... no
checking term.h presence... yes
configure: WARNING: term.h: present but cannot be compiled
configure: WARNING: term.h: check for missing prerequisite headers?
configure: WARNING: term.h: proceeding with the preprocessor's result
configure: WARNING: ## ------------------------------------ ##
configure: WARNING: ## Report this to bu**********@gnu.org. ##
configure: WARNING: ## ------------------------------------ ##
checking for term.h... yes

Hi Paul,

I got the same message (AIX 5.1, xlC) but the compile went fine. I have seen
this warning on Linux a lot as well, when compiling various oss packages
(Samba comes to mind). Does your compile fail?

On a side note, I am unable to compile the modules, it fails with the
following error:

building '_tkinter' extension
../Modules/ld_so_aix cc_r -bI:Modules/python.exp
build/temp.aix-5.1-2.3/_tkinter.o
build/temp.aix-5.1-2.3/tkappinit.o -L/usr/X11R6/lib -L/usr/local/lib -ltk8.2
-ltcl8.2 -lX11 -o build/lib.aix-5.1-2.3/_tkinter.so
ld: 0706-006 Cannot find or open library file: -l tk8.2
ld:open(): A file or directory in the path name does not exist.
ld: 0706-006 Cannot find or open library file: -l tcl8.2
ld:open(): A file or directory in the path name does not exist.
*** WARNING: renaming "_tkinter" since importing it failed: A file or
directory in the path name does not exist.
error: A file or directory in the path name does not exist.
make: 1254-004 The error code from the last command is 1.

Something you have come across?

Regards,
Rob
Jul 18 '05 #2

This discussion thread is closed

Replies have been disabled for this discussion.